## neverball 1.5.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 #------------------------------------------------------------------------------
 
-VERSION := 1.5.0
+VERSION := 1.5.1
 ifeq ($(VERSION),unknown)
     $(warning Failed to obtain sane version for this build.)
 endif
@@ -31,9 +31,12 @@
 SSE_CFLAGS := $(shell env CC="$(CC)" sh scripts/get-sse-cflags.sh)
 
 ifeq ($(ENABLE_WII),1)
-    # libwiimote is NOT ANSI compliant (TODO, check if this is necessary.  GCC
-    # is supposed to suppress warnings from system headers.)
-    ALL_CFLAGS := $(SSE_CFLAGS) $(CFLAGS)
+    # -std=c99 because we need isnormal and -fms-extensions because
+    # libwiimote headers make heavy use of the "unnamed fields" GCC
+    # extension.
+
+    ALL_CFLAGS := -Wall -std=c99 -pedantic -fms-extensions \
+	$(SSE_CFLAGS) $(CFLAGS)
 else
     ALL_CFLAGS := -Wall -ansi -pedantic $(SSE_CFLAGS) $(CFLAGS)
 endif
@@ -133,6 +136,7 @@
 	share/solid.o       \
 	share/binary.o      \
 	share/base_config.o \
+	share/common.o      \
 	share/mapc.o
 BALL_OBJS := \
 	share/lang.o        \
@@ -151,6 +155,7 @@
 	share/gui.o         \
 	share/base_config.o \
 	share/config.o      \
+	share/video.o       \
 	share/binary.o      \
 	share/state.o       \
 	share/audio.o       \
@@ -207,6 +212,7 @@
 	share/back.o        \
 	share/base_config.o \
 	share/config.o      \
+	share/video.o       \
 	share/binary.o      \
 	share/audio.o       \
 	share/state.o       \
