## neverball 1.5.4

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,41 @@
 
 #------------------------------------------------------------------------------
 
-VERSION := 1.5.1
-ifeq ($(VERSION),unknown)
-    $(warning Failed to obtain sane version for this build.)
-endif
-
+BUILD := $(shell head -n1 BUILD 2> /dev/null || echo release)
+
+ifeq ($(BUILD),release)
+    VERSION := 1.5.4
+else
+    VERSION := $(shell sh scripts/version.sh)
+    ifeq ($(VERSION),unknown)
+        VERSION := 1.5.4-dev
+    endif
+endif
+
+$(info Will make a "$(BUILD)" build of Neverball $(VERSION).)
+
+#------------------------------------------------------------------------------
 # Provide a target system hint for the Makefile.
 
 ifeq ($(shell uname), Darwin)
     DARWIN := 1
+endif
+
+# MINGW=1 also supported.
+
+#------------------------------------------------------------------------------
+# Paths (packagers might want to set DATADIR and LOCALEDIR)
+
+USERDIR   := .neverball
+DATADIR   := ./data
+LOCALEDIR := ./locale
+
+ifdef MINGW
+    USERDIR := Neverball
+endif
+
+ifneq ($(BUILD),release)
+    USERDIR := $(USERDIR)-dev
 endif
 
 #------------------------------------------------------------------------------
@@ -28,17 +54,14 @@
 
 # Compiler...
 
-SSE_CFLAGS := $(shell env CC="$(CC)" sh scripts/get-sse-cflags.sh)
-
 ifeq ($(ENABLE_WII),1)
     # -std=c99 because we need isnormal and -fms-extensions because
     # libwiimote headers make heavy use of the "unnamed fields" GCC
     # extension.
 
-    ALL_CFLAGS := -Wall -std=c99 -pedantic -fms-extensions \
-	$(SSE_CFLAGS) $(CFLAGS)
+    ALL_CFLAGS := -Wall -std=c99 -pedantic -fms-extensions $(CFLAGS)
 else
-    ALL_CFLAGS := -Wall -ansi -pedantic $(SSE_CFLAGS) $(CFLAGS)
+    ALL_CFLAGS := -Wall -ansi -pedantic $(CFLAGS)
 endif
 
 # Preprocessor...
@@ -48,6 +71,11 @@
 
 ALL_CPPFLAGS := $(SDL_CPPFLAGS) $(PNG_CPPFLAGS) -Ishare \
     -DVERSION=\"$(VERSION)\"
+
+ALL_CPPFLAGS += \
+    -DCONFIG_USER=\"$(USERDIR)\" \
+    -DCONFIG_DATA=\"$(DATADIR)\" \
+    -DCONFIG_LOCALE=\"$(LOCALEDIR)\"
 
 ifeq ($(ENABLE_NLS),0)
     ALL_CPPFLAGS += -DENABLE_NLS=0
@@ -70,6 +98,7 @@
 
 SDL_LIBS := $(shell sdl-config --libs)
 PNG_LIBS := $(shell libpng-config --libs)
+FS_LIBS := -lphysfs
 
 # The  non-conditionalised values  below  are specific  to the  native
 # system. The native system of this Makefile is Linux (or GNU+Linux if
@@ -86,7 +115,7 @@
 
 ifdef MINGW
     ifneq ($(ENABLE_NLS),0)
-        INTL_LIBS := -lintl -liconv
+        INTL_LIBS := -lintl
     endif
 
     TILT_LIBS :=
@@ -95,14 +124,14 @@
 
 ifdef DARWIN
     ifneq ($(ENABLE_NLS),0)
-        INTL_LIBS := -lintl -liconv
+        INTL_LIBS := -lintl
     endif
 
     TILT_LIBS :=
     OGL_LIBS  := -framework OpenGL
 endif
 
-BASE_LIBS := -ljpeg $(PNG_LIBS)
+BASE_LIBS := -ljpeg $(PNG_LIBS) $(FS_LIBS)
 
 ifdef DARWIN
     BASE_LIBS += -L/opt/local/lib
@@ -137,6 +166,11 @@
 	share/binary.o      \
 	share/base_config.o \
 	share/common.o      \
+	share/fs.o          \
+	share/fs_png.o      \
+	share/fs_jpg.o      \
+	share/dir.o         \
+	share/array.o       \
 	share/mapc.o
 BALL_OBJS := \
 	share/lang.o        \
@@ -160,7 +194,6 @@
 	share/state.o       \
 	share/audio.o       \
 	share/text.o        \
-	share/sync.o        \
 	share/tilt.o        \
 	share/common.o      \
 	share/keynames.o    \
@@ -168,6 +201,13 @@
 	share/list.o        \
 	share/queue.o       \
 	share/cmd.o         \
+	share/array.o       \
+	share/dir.o         \
+	share/fs.o          \
+	share/fs_png.o      \
+	share/fs_jpg.o      \
+	share/fs_rwops.o    \
+	share/fs_ov.o       \
 	ball/hud.o          \
 	ball/game_common.o  \
 	ball/game_client.o  \
@@ -178,6 +218,7 @@
 	ball/progress.o     \
 	ball/set.o          \
 	ball/demo.o         \
+	ball/demo_dir.o     \
 	ball/util.o         \
 	ball/st_conf.o      \
 	ball/st_demo.o      \
@@ -196,6 +237,7 @@
 	ball/st_name.o      \
 	ball/st_shared.o    \
 	ball/st_pause.o     \
+	ball/st_ball.o      \
 	ball/main.o
 PUTT_OBJS := \
 	share/lang.o        \
@@ -218,10 +260,16 @@
 	share/state.o       \
 	share/gui.o         \
 	share/text.o        \
-	share/sync.o        \
 	share/common.o      \
 	share/syswm.o       \
 	share/list.o        \
+	share/fs.o          \
+	share/fs_png.o      \
+	share/fs_jpg.o      \
+	share/fs_rwops.o    \
+	share/fs_ov.o       \
+	share/dir.o         \
+	share/array.o       \
 	putt/hud.o          \
 	putt/game.o         \
 	putt/hole.o         \
