=== debian/changelog ===
neverball (1.5.4-6) unstable; urgency=low

  [ Juhani Numminen ]
  * Team upload
  * libpng15 transition: Build-depend on libpng-dev instead of
    libpng12-dev. (Closes: #662445)
  * Fix neverball not launching if previously used video mode is
    not available by adding reset-video-mode.patch. (Closes: #677409)
    Thanks to Fabian Greffrath for the patch.
  * Fix non-working Vcs-Browser field in control (400 Bad Request)
    with a working one.
  * Implement hardening by using dpkg-buildflags in debian/rules to export all
    necessary build flags.

  [ Markus Koschany ]
  * Bump compat level to 9 and require debhelper >= 9.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Switch to source format 3.0 (quilt).
  * Update debian/copyright to copyright format 1.0.
  * Update the watch file and make the extension regex more flexible.
  * Add longtitle to menu files.
  * Drop build-dependency on quilt because source format 3.0 uses quilt by
    default and remove README.source.
  * debian/control:
    - Drop old Conflicts relationships. Older packages of neverball and
      neverputt (Lenny and earlier) are no longer supported.
    - Use fonts-dejavu-core instead of the deprecated ttf-dejavu-core package.
    - data-packages: Suggest neverball and neverputt.
  * Rewrite and simplify debian/rules by using dh sequencer.
  * Build with --parallel.
  * Drop NEWS file. Users who upgrade from Squeeze or Wheezy are not affected.
    Upgrading directly from Lenny to Jessie is not supported.
  * Add DEP-3 headers to all patches and forward them upstream.
  * Install all debugging symbols correctly and make neverball-dbg useful again.
    (Closes: #651180)
  * Update French .po file. Change the occurrences of "sauver" to
    "enregistrer". (Closes: #700287)

 -- Markus Koschany <apo@gambaru.de>  Sun, 02 Jun 2013 12:41:18 +0200

neverball (1.5.4-5) unstable; urgency=medium

  * libjpeg transition:  Build-depend on libjpeg-dev instead of
    libjpeg62-dev (Closes: #635088)
  * Urgency set to medium due to RC bug fix

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Mon, 31 Oct 2011 14:53:56 +0100

neverball (1.5.4-4) unstable; urgency=medium

  * Fix FTBFS with binutils-gold (Closes: #556916)
    Thanks to Felix Geyer for the patch!
  * Bump standards version to 3.9.2 (no changes needed)
  * Add ${misc:Depends} to neverball-common, neverball-data, neverball-dbg,
     neverputt-data
  * Add debian/README.source pointing to /usr/share/doc/quilt/README.source
  * Set urgency to medium due to RC bug fix

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Mon, 09 May 2011 15:21:57 +0200

neverball (1.5.4-3) unstable; urgency=low

  * Don't build data files every time (Closes: #598614)
    * Patch upstram Makefile to provide seppereta rules for data and executables
    * Use them to build arch:all and arch:any packages

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Mon, 04 Oct 2010 08:22:25 +0000

neverball (1.5.4-2) unstable; urgency=low

  * debian/rules: Set HOME to an existing directory as a temporary workaround
    to correctly build the package on some buildds. (Closes: #544835)

 -- Jordà Polo <jorda@ettin.org>  Sat, 31 Oct 2009 19:41:22 +0100

neverball (1.5.4-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/localemodir.patch: Remove patch; included upstream.
  * Remove quilt as patch manager, no longer needed.

 -- Jordà Polo <jorda@ettin.org>  Sun, 20 Sep 2009 13:28:03 +0200

neverball (1.5.2-1) unstable; urgency=low

  * New upstream release.
    + Fix typo in French translation. (Closes: #535912)
  * debian/control:
    + Standards-Version bumped to 3.8.3 (no changes required).
    + Suggest ttf-wqy-zenhei, used for the Chinese translation.
    + Add build-dependency on libphysfs-dev.
  * debian/copyright: Include copyright and license for the JPEG routines.
  * debian/patches:
    + data_path.patch: Remove patch; it is now possible to pass data and
      locale paths directly to the Makefile.
    + localemodir.patch: New patch; fixes unexpected behaviour when setting
      the LOCALEDIR variable.

 -- Jordà Polo <jorda@ettin.org>  Tue, 25 Aug 2009 08:47:37 +0200

neverball (1.5.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Standards-Version bumped to 3.8.1 (no changes required).
    + Change section of neverball-dbg to "debug".
  * debian/copyright: Refer to GPL-2, not GPL.

 -- Jordà Polo <jorda@ettin.org>  Wed, 08 Apr 2009 10:02:44 +0200

neverball (1.5.0-2) unstable; urgency=medium

  [ Jordà Polo ]
  * debian/control: libsdl-image and libsdl-mixer build dependencies are
    obsolete; use libvorbis-dev, libpng12-dev and libjpeg62-dev instead.

  [ Alexander Reichle-Schmehl ]
  * Fix debian/watch since download location changed
  * Adopt debian/control to my new name
  * create symlinks to ttf files in proper package
    (Fixes segfault for neverputt, there fore urgency set to medium)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Wed, 25 Feb 2009 16:46:04 +0100

neverball (1.5.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Update Homepage.
  * debian/copyright:
    + Remove translators from "Copyright Holders", as requested by upstream
      developers.
    + Update copyright years.
  * debian/NEWS: New file; explain compatibility issues (moved from
    README.Debian).
  * debian/watch: Update location of upstream's tarball.
  * Don't install Neverball's "misc" course as it isn't included in stable
    releases.

 -- Jordà Polo <jorda@ettin.org>  Mon, 09 Feb 2009 17:34:47 +0100

neverball (1.4.0+svn2527-1) experimental; urgency=low

  * Experimental package based on upstream's development version. (Closes:
    #330089, #456522)
  * debian/patches:
    + data_path.patch: Updated; redefine path to locales.
    + Remove obsolete patches (stereo_sound.patch and putt_scores.patch).
  * debian/*.install: Install translations and new neverball/neverputt levels.
  * debian/rules:

